/*
---------------------------------------------------------
Enterprise AI Engineering Handbook
Typography
---------------------------------------------------------
*/

/* Reading Width */

/* Body */

.md-typeset {
    font-size: 0.83rem;
    line-height: 1.8;
    letter-spacing: 0.01rem;
}

/* Paragraphs */

.md-typeset p {
    margin-bottom: 1rem;
}

/* Headings */

.md-typeset h1 {
    font-size: 2.4rem;
    font-weight: 700;
    margin-top: .2rem;
    margin-bottom: 1rem;
}

.md-typeset h2 {
    margin-top: 2.5rem;
    margin-bottom: 1rem;
    padding-bottom: .4rem;
    border-bottom: 2px solid var(--md-primary-fg-color);
}

.md-typeset h3 {
    margin-top: 2rem;
    margin-bottom: .8rem;
}

.md-typeset h4,
.md-typeset h5,
.md-typeset h6 {
    margin-top: 1.5rem;
    margin-bottom: .6rem;
}

/* Links */

.md-typeset a {
    font-weight: 500;
    text-decoration: none;
}

.md-typeset a:hover {
    text-decoration: underline;
}

/* Lists */

.md-typeset ul li,
.md-typeset ol li {
    margin-bottom: .45rem;
}

/* Blockquotes */

.md-typeset blockquote {

    border-left: 5px solid var(--md-primary-fg-color);

    padding-left: 1rem;

    font-style: italic;

    color: var(--md-default-fg-color--light);

}

/* Horizontal Rule */

.md-typeset hr {

    margin: 2.5rem 0;

}